"Add-to" and "Remove-from" buttons needs to be disabled when no host-collection was

listed/selected

06/28/2014 07:59 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1109062 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1109062

Description of problem:

I was trying to perform bulk actions on selected content-hosts and choose "Host collections" tab from "Bulk Actions".

I found there was no host-collection listed. But "Add-To" and "Remove-From" button were enabled. When I clicked on "Add-To", a

confirmation dialog appears too saying:

Are you sure you want to add the 2 content host(s) selected to the host collection(s) chosen?

Please see screenshot.

Since no host-collection was listed/selected, this msg is misleading for this case. So I think both buttons needs to be disbaled when

no "host-collected was listed/selected.

Version-Release number of selected component (if applicable):

sat6 beta snap9 compose2 (Satellite-6.0.3-RHEL-6-20140612.1)

How reproducible:

always

Steps to Reproduce:

1. register 2-3 content-host

2. Go to content-host --> select 2-3 and click on "bulk Actions"

3. select "Host-collection" tab

4. Click on "Add-To"

Actual results:

a confirmation dialog appears without selecting host-collection saying:

Are you sure you want to add the 2 content host(s) selected to the host collection(s) chosen?

And on clicking yes, UI went into "processing" state with a rotating spinner.

Expected results:

Buttons needs to be disabled, when no host-collection was listed/selected

Additional info:

Associated revisions

Revision f88e8ae9 - 06/30/2014 09:29 AM - Brad Buckingham

fixes #6428 / BZ 1109062 - Bulk Host Collection - disable add/remove when no hosts selected

When the user is performing a content host bulk action, if they do

not select any content hosts, disable the add/remove buttons
for host collections.

Revision b928a633 - 06/30/2014 09:29 AM - Brad Buckingham

fixes #6428 / BZ 1109062 - Bulk Host Collection - disable add/remove when no hosts selected

When the user is performing a content host bulk action, if they do

not select any content hosts, disable the add/remove buttons

for host collections.

History

#1 - 06/28/2014 07:59 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 48

- translation missing: en.field_release set to 13

- Triaged set to Yes

#2 - 07/01/2014 09:03 AM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|f88e8ae9ab0b460bda939ba3542cde433a8c9568.
